Name:          ispc
Version:       1.26.0
Release:       1mamba
Summary:       Compiler for high-performance SIMD programming on the CPU
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://ispc.github.io/
Source:        https://github.com/ispc/ispc.git/v%{version}/ispc-%{version}.tar.bz2
Patch1:        ispc-1.23.0-llvm-18.1.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libllvm-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtbb-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lib%{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description
Compiler for high-performance SIMD programming on the CPU.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_bindir}/check_isa
%{_bindir}/ispc

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libispcrt.so.*
%{_libdir}/libispcrt_device_cpu.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/ispcrt
%{_includedir}/ispcrt/*
%{_libdir}/libispcrt.so
%{_libdir}/libispcrt_device_cpu.so
%{_libdir}/libispcrt_static.a
%dir %{_libdir}/cmake/ispcrt-%{version}
%{_libdir}/cmake/ispcrt-%{version}/*.cmake
%doc README.md

%changelog
* Thu Feb 06 2025 Automatic Build System <autodist@openmamba.org> 1.26.0-1mamba
- automatic version update by autodist

* Fri Nov 08 2024 Automatic Build System <autodist@openmamba.org> 1.25.3-1mamba
- automatic version update by autodist

* Sat Nov 02 2024 Automatic Build System <autodist@openmamba.org> 1.25.2-1mamba
- automatic version update by autodist

* Thu Oct 17 2024 Automatic Build System <autodist@openmamba.org> 1.25.1-1mamba
- automatic version update by autodist

* Tue Oct 15 2024 Automatic Build System <autodist@openmamba.org> 1.25.0-1mamba
- automatic version update by autodist

* Sun May 26 2024 Automatic Build System <autodist@openmamba.org> 1.24.0-1mamba
- automatic version update by autodist

* Sat May 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.23.0-1mamba
- package created using the webbuild interface
